Jump to content

jujugeometre

Membres
  • Content Count

    20
  • Joined

  • Last visited

Community Reputation

1 Neutral

About jujugeometre

  • Rank
    ceinture orange
  1. Bonjour, j'avais travaillé sur un sujet comme cela et je passais à chaque sommet un test d'existence de point par proximité, je ne sais pas comment référencer une discussion dans une autre, si tu cherches mes messages, tu trouveras une routine de test qui devrait te convenir.
  2. Bonjour, il n'y a pas de règle formelle, en matière d'appartement si tu parles d'un certificat de superficie privative, il y a 5% de tolérance mais ce n'est que dans le cas d'une copropriété, en l'absence, c'est en fonction des moyens qu'aura mis le géomètre pour respecter son cahier des charges s'il précise dans son offre la classe de précision qu'il propose. En l'absence d'une telle mention, je ne vois pas de tolérance "règlementaire".
  3. Merci pour cet envoi, je vais regarder cela, tout un monde de fonctions qui s'ouvre à moi, la compréhension du fonctionnement n'est pas aisée pour un novice, le factoriel c'est tellement simple que ca en est un peu trivial alors que l'application aux autres fonctions est pas évidente.
  4. Bonjour, Je te remercie pour ce retour, je vais tester ca, ca simplifie énormément, je débute, je patauge un peu. Il y a un point que je ne comprends pas dans les fonctions et j'avais vu ca dans pas mal d'exemples de routines, quand tu définis la fonction entre des bornes 'defun', comment tu peux utiliser cette fonction 'dans elle même' en quelque sorte?
  5. Bonjour, Je n'ai pas réussi à utiliser ta routine, j'ai retravaillé de mon côté en construisant la liste des positions dans la liste que je parcours des points que je recherche en fonction d'une distance fixe, puis à partir de cette liste de positions je reconstruis ma liste de points en ayant exclu ceux qui sont à moins de 0.02m des existants. ca a l'air plus bourrin mais ca fonctionne, je te mets la routine : ;il faut que je compare la liste 's' des blocs dans le calque PIP-90 et la liste-sommets de la polyligne listpts (setq s (ssget "_X" '((0 . "INSERT") (8 . "PIP-90"))) ind1 0
  6. Bonjour, Pour la routine c'est cela : sauf que la polyligne je la crée puisque c'est une reconstitution de contour et sur ce contour je veux insérer un bloc POINT à chaque sommet, sauf s'il en existe déjà un. Pour l'attribut ALT, je ne m'en occupe pas, je travaille en 2D. Je réalise la sélection de tous les blocs ayant un attribut MAT avec la routine de GILE (setq s (ssget "_X" '((0 . "INSERT") (66 . 1)))) (repeat (setq i (sslength s)) (setq b (ssname s (setq i (1- i)))) (if (vl-catch-all-error-p (vl-catch-all-apply 'getpropertyvalue (list b "MAT")) )
  7. Bonsoir, je reviens avec ma liste de points en fonction des attributs, une fois que j'ai la sélection des blocs avec un attribut MAT, je souhaite insérer un point sur chaque sommet mais avant je souhaite vérifier qu'il n'y a pas déja de points sur les sommets, donc à partir de la sélection s des points avec un attribut MAT, je la parcours pour vérifier que les sommets de la polyligne "listpts" n'existent pas et je veux supprimer ces points de "lispts" pour ensuite insérer les points uniquement sur les sommets restants. je comprends pas ce qui bug dans mon traitement : (repeat (sslength
  8. Bonsoir, Merci pour la routine, ca marche nickel, du coup j'ai ajouté une seconde boucle derrière pour rechercher le max des attributs et ça roule, ça m'a permis de découvrir le "getpropertyvalue" qui est terrible pour récupérer des infos. ;j'ai un jeu de sélection s avec tous les blocs dont l'attribut est MAT ;je dois rechercher les valeurs de ces attributs puis en chercher le max (setq i 0 maxlist 0) (repeat (sslength s) (setq matr (atoi (getpropertyvalue (ssname s i) "MAT"));je récupère les valeurs des matricules i (1+ i) listmat (cons matr listmat) ;je construis la lis
  9. Bonsoir, Je voudrais rechercher tous les blocs ayant un attribut nommé MAT pour dresser une liste de points afin de connaitre le dernier matricule à utiliser, sans forcément connaitre les noms de blocs, je pensais utiliser un jeu de sélection : (setq entl (ssget "_X" '((0 . "ATTRIB") (2 . "MAT")))) mais si je poste une question c'est que ça ne marche pas. j'avais essayé des entget sur des blocs mais je n'arrive pas à comprendre l'enchassement des entités les unes dans les autres. Bref, je suis bloqué, si quelqu'un a une idée, j'ai trainé sur des blogs mais les routines de manipulat
  10. A force de chercher, j'ai trouvé en supprimant l'entrée du dictionnaire : (dictremove ( cdr (assoc -1 (entget(namedobjdict)))) "COVADIS_SYMB_LIN_DICT" ) Je laisse cela la si qqun en a besoin un de ces quatre
  11. Bonjour, j'ai des symboliques linéaires insérés dans mon DWG, lorsque j’utilise la commande covadis 2D/symboliques linéaires/liste symboliques je retrouve bien les types de lignes, depuis que j'ai recréé un gabarit sans ces symboliques linéaires, je n'ai plus de souci sur mes nouveaux dessins mais sur les anciens, dès que j'essaie de changer la variable LTSCALE, ca me plante quand je n'ai pas le dongle. je souhaitais savoir dans quelle entité autocad était stockée cette information pour pouvoir intégrer à ma routine de démarrage la purge de ces symboliques linéaires, ça doit être stocké qu
  12. Bonjour, Je remonte cet ancien message, je cherche à supprimer les références aux symboliques linéaires de Covadis dans un gabarit dans lequel j'en avais inséré à l'époque, on ne les utilise plus et quand je modifie la variable LTSCALE, mon autocad plante quand je n'ai pas de clé COVADIS sur mon poste, j'ai nettoyé mon gabarit mais je souhaiterai effacer dans les anciens dessins, je ne trouve pas de commande pour cela. Savez vous à quel entité autocad font référence ces symobliques linéaires que je puisse faire une moulinette qui les supprime à l'ouverture du dessin?
  13. Bonjour, Je souhaite nettoyer un dessin en supprimant les entités situées hors d'une zone de sélection, je construis un jeu de sélection de tout puis un jeu de sélection de ce que je veux conserver et je parcours ensuite le tout en vérifiant à chaque fois si l'entité est dedans ou non. (setq ENTSELEC (ssadd) ;je mets les listes à 0 ENTSELECTOTALE (ssadd) ENTSELEC (ssget "_WP" liste-sommets ) ;sélection des objets dans la zone de sélection COMPTEUR 0 );setq (setq ENTSELECTOTALE (ssget "_X") ) ;sélection de tous les objets du dessin ;et effacer tous les objets hors
  14. Bonsoir, Je souhaite aligner des blocs sur des lignes proches, du coup je ne vois pas trop comment commencer à chercher à partir d'un point les lignes les plus proches jusqu'à une valeur seuil à fixer? Si quelqu'un a une orientation (grosse allusion au sujet...) pour démarrer ce programme. Après la lectures de plusieurs posts, je précise que je ne cherche pas un LISP tout fait ou que je ne demande à personne de le faire pour moi, je ne vois juste pas dans quel sens chercher, hormis un truc bourrin du genre répertorier toutes les lignes du dessin et/ou faire un tri sur les coordonnées. Po
×
×
  • Create New...